Package net.md_5.bungee.protocol.packet

# Enum ScoreboardObjective.HealthDisplay

java.lang.Object
java.lang.Enum<ScoreboardObjective.HealthDisplay>
net.md_5.bungee.protocol.packet.ScoreboardObjective.HealthDisplay

All Implemented Interfaces:
  `Serializable`, `Comparable<ScoreboardObjective.HealthDisplay>`

Enclosing class:
  ScoreboardObjective

public static enum ScoreboardObjective.HealthDisplay extends Enum<ScoreboardObjective.HealthDisplay>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HEARTS`
  `INTEGER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ScoreboardObjective.HealthDisplay`
  `fromString(String s)`
  `String`
  `toString()`
  `static ScoreboardObjective.HealthDisplay`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ScoreboardObjective.HealthDisplay[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTEGER

    public static final ScoreboardObjective.HealthDisplay INTEGER

  - ### HEARTS

    public static final ScoreboardObjective.HealthDisplay HEARTS

- ## Method Details

  - ### values

    public static ScoreboardObjective.HealthDisplay[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ScoreboardObjective.HealthDisplay valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ScoreboardObjective.HealthDisplay>`

  - ### fromString

    public static ScoreboardObjective.HealthDisplay fromString(String s)